Jifty::Action::Record::Delete(3)

NAME
Jifty::Action::Record::Delete - Automagic delete action

DESCRIPTION
This class is used as the base class for Jifty::Actions that are merely deleting Jifty::Record objects. To use it, subclass it and override the "record_class" method to return the name of the Jifty::Record subclass that this action should delete.

METHODS

  arguments
Overrides the "arguments" in Jifty::Action::Record method to specify that all of the primary keys must have values when submitted; that is, they are constructors. No other arguments are required.

  take_action
Overrides the virtual "take_action" method on Jifty::Action to delete the row from the database.

  report_success
Sets the "message" in Jifty::Result to default success message, "Deleted". Override this if you want to report some other more user-friendly result.

SEE ALSO
Jifty::Action::Record, Jifty::Record

LICENSE
Jifty is Copyright 2005-2010 Best Practical Solutions, LLC. Jifty is distributed under the same terms as Perl itself.